//*****************************************************************************
//
// Имя файла    : 'types.h'
// Описание     : Глобальные типы
// Автор        : Межлумов В.Ш.
//
//*****************************************************************************
#pragma once

#include <cstdlib>
#include <stdint.h>


// ============================================================================
//                                  Константы
// ============================================================================

    // Определение размера массива
    #define ARR_COUNT(arr)              ( sizeof(arr) / sizeof(arr[0]) )


// ============================================================================
//                                  Типы
// ============================================================================

    typedef	unsigned int    uint;
    typedef	uint64_t        uint64;
    typedef	uint32_t        uint32;
    typedef	uint16_t        uint16;
    typedef	uint8_t         uint8;

    typedef struct
    {
        uint16  year;
        uint16  month;
        uint16  day;
        uint16  hour;
        uint16  min;
        uint16  sec;
        uint16  ms;
    } TTime;
